Bug 1941985 - [abrt] pipewire: impl_node_process(): pipewire killed by SIGSEGV
Summary: [abrt] pipewire: impl_node_process(): pipewire killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:690304b4e4873d9f4b7e0176d28...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-23 11:06 UTC by Clémence Lesné
Modified: 2021-03-28 00:15 UTC (History)
4 users (show)

Fixed In Version: pipewire-0.3.24-4.fc34
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-28 00:15:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.20 KB, text/plain)
2021-03-23 11:06 UTC, Clémence Lesné
no flags Details
File: core_backtrace (4.13 KB, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: cpuinfo (2.38 KB, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: dso_list (190 bytes, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: environ (1.26 KB, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: exploitable (82 bytes, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: limits (1.29 KB, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: maps (3.96 KB, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: mountinfo (3.71 KB, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: open_fds (17.36 KB, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: proc_pid_status (1.40 KB, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details
File: var_log_messages (1.20 KB, text/plain)
2021-03-23 11:07 UTC, Clémence Lesné
no flags Details

Description Clémence Lesné 2021-03-23 11:06:55 UTC
Version-Release number of selected component:
pipewire-0.3.24-1.fc34

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/session.slice/pipewire.service
cmdline:        /usr/bin/pipewire
crash_function: impl_node_process
executable:     /usr/bin/pipewire
journald_cursor: s=a8c8031638f842e8819fa0720fb25fad;i=216095;b=3a63f2c788e847ef86b3561601db7a3b;m=16247f7df;t=5be313f234c7a;x=6632220acdd9ce2d
kernel:         5.11.8-300.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 impl_node_process at ../spa/plugins/audioconvert/resample.c:820
 #3 follower_ready at ../spa/plugins/audioconvert/audioadapter.c:765
 #4 handle_capture at ../spa/plugins/alsa/alsa-pcm.c:1324
 #5 alsa_on_timeout_event at ../spa/plugins/alsa/alsa-pcm.c:1363
 #6 loop_iterate at ../spa/plugins/support/loop.c:308
 #7 do_loop at ../src/pipewire/data-loop.c:79

Comment 1 Clémence Lesné 2021-03-23 11:06:59 UTC
Created attachment 1765489 [details]
File: backtrace

Comment 2 Clémence Lesné 2021-03-23 11:07:01 UTC
Created attachment 1765490 [details]
File: core_backtrace

Comment 3 Clémence Lesné 2021-03-23 11:07:02 UTC
Created attachment 1765491 [details]
File: cpuinfo

Comment 4 Clémence Lesné 2021-03-23 11:07:03 UTC
Created attachment 1765492 [details]
File: dso_list

Comment 5 Clémence Lesné 2021-03-23 11:07:04 UTC
Created attachment 1765493 [details]
File: environ

Comment 6 Clémence Lesné 2021-03-23 11:07:05 UTC
Created attachment 1765494 [details]
File: exploitable

Comment 7 Clémence Lesné 2021-03-23 11:07:06 UTC
Created attachment 1765495 [details]
File: limits

Comment 8 Clémence Lesné 2021-03-23 11:07:08 UTC
Created attachment 1765496 [details]
File: maps

Comment 9 Clémence Lesné 2021-03-23 11:07:09 UTC
Created attachment 1765497 [details]
File: mountinfo

Comment 10 Clémence Lesné 2021-03-23 11:07:11 UTC
Created attachment 1765498 [details]
File: open_fds

Comment 11 Clémence Lesné 2021-03-23 11:07:12 UTC
Created attachment 1765499 [details]
File: proc_pid_status

Comment 12 Clémence Lesné 2021-03-23 11:07:13 UTC
Created attachment 1765500 [details]
File: var_log_messages

Comment 13 Fedora Update System 2021-03-25 15:28:46 UTC
FEDORA-2021-219efa2b61 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-219efa2b61

Comment 14 Fedora Update System 2021-03-26 18:34:08 UTC
FEDORA-2021-219efa2b61 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-219efa2b61`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-219efa2b61

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2021-03-28 00:15:56 UTC
FEDORA-2021-219efa2b61 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.